<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-berkas-heading" data-cy="BerkasCreateUpdateHeading">Create or edit a Berkas</h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        @if (editForm.controls.id.value !== null) {
          <div class="mb-3">
            <label class="form-label" for="field_id">ID</label>
            <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
          </div>
        }

        <div class="mb-3">
          <label class="form-label" for="field_identitas">Identitas</label>
          <input type="text" class="form-control" name="identitas" id="field_identitas" data-cy="identitas" formControlName="identitas" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_kk">Kk</label>
          <input type="text" class="form-control" name="kk" id="field_kk" data-cy="kk" formControlName="kk" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_ppk">Ppk</label>
          <input type="text" class="form-control" name="ppk" id="field_ppk" data-cy="ppk" formControlName="ppk" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_skNasabah">Sk Nasabah</label>
          <input type="text" class="form-control" name="skNasabah" id="field_skNasabah" data-cy="skNasabah" formControlName="skNasabah" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_aktaPendirian">Akta Pendirian</label>
          <input
            type="text"
            class="form-control"
            name="aktaPendirian"
            id="field_aktaPendirian"
            data-cy="aktaPendirian"
            formControlName="aktaPendirian"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_aktaPerubahan">Akta Perubahan</label>
          <input
            type="text"
            class="form-control"
            name="aktaPerubahan"
            id="field_aktaPerubahan"
            data-cy="aktaPerubahan"
            formControlName="aktaPerubahan"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_skPendirian">Sk Pendirian</label>
          <input
            type="text"
            class="form-control"
            name="skPendirian"
            id="field_skPendirian"
            data-cy="skPendirian"
            formControlName="skPendirian"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_skPerubahan">Sk Perubahan</label>
          <input
            type="text"
            class="form-control"
            name="skPerubahan"
            id="field_skPerubahan"
            data-cy="skPerubahan"
            formControlName="skPerubahan"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_npwp">Npwp</label>
          <input type="text" class="form-control" name="npwp" id="field_npwp" data-cy="npwp" formControlName="npwp" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_updateBy">Update By</label>
          <input type="text" class="form-control" name="updateBy" id="field_updateBy" data-cy="updateBy" formControlName="updateBy" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_updateOn">Update On</label>
          <div class="d-flex">
            <input
              id="field_updateOn"
              data-cy="updateOn"
              type="datetime-local"
              class="form-control"
              name="updateOn"
              formControlName="updateOn"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_uploadBy">Upload By</label>
          <input type="text" class="form-control" name="uploadBy" id="field_uploadBy" data-cy="uploadBy" formControlName="uploadBy" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_uploadOn">Upload On</label>
          <div class="d-flex">
            <input
              id="field_uploadOn"
              data-cy="uploadOn"
              type="datetime-local"
              class="form-control"
              name="uploadOn"
              formControlName="uploadOn"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_ppkNomor">Ppk Nomor</label>
          <input type="text" class="form-control" name="ppkNomor" id="field_ppkNomor" data-cy="ppkNomor" formControlName="ppkNomor" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_nsbJenis">Nsb Jenis</label>
          <input type="number" class="form-control" name="nsbJenis" id="field_nsbJenis" data-cy="nsbJenis" formControlName="nsbJenis" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_berkasStatus">Berkas Status</label>
          <input
            type="number"
            class="form-control"
            name="berkasStatus"
            id="field_berkasStatus"
            data-cy="berkasStatus"
            formControlName="berkasStatus"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_namaNasabah">Nama Nasabah</label>
          <input
            type="text"
            class="form-control"
            name="namaNasabah"
            id="field_namaNasabah"
            data-cy="namaNasabah"
            formControlName="namaNasabah"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_tanggalPpk">Tanggal Ppk</label>
          <div class="input-group">
            <input
              id="field_tanggalPpk"
              data-cy="tanggalPpk"
              type="text"
              class="form-control"
              name="tanggalPpk"
              ngbDatepicker
              #tanggalPpkDp="ngbDatepicker"
              formControlName="tanggalPpk"
            />
            <button type="button" class="btn btn-secondary" (click)="tanggalPpkDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_metodeKirim">Metode Kirim</label>
          <input
            type="number"
            class="form-control"
            name="metodeKirim"
            id="field_metodeKirim"
            data-cy="metodeKirim"
            formControlName="metodeKirim"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_partitionId">Partition Id</label>
          <input
            type="number"
            class="form-control"
            name="partitionId"
            id="field_partitionId"
            data-cy="partitionId"
            formControlName="partitionId"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_verifyBy">Verify By</label>
          <input type="text" class="form-control" name="verifyBy" id="field_verifyBy" data-cy="verifyBy" formControlName="verifyBy" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_verifyOn">Verify On</label>
          <div class="d-flex">
            <input
              id="field_verifyOn"
              data-cy="verifyOn"
              type="datetime-local"
              class="form-control"
              name="verifyOn"
              formControlName="verifyOn"
              placeholder="YYYY-MM-DD HH:mm"
            />
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_orderType">Order Type</label>
          <input type="number" class="form-control" name="orderType" id="field_orderType" data-cy="orderType" formControlName="orderType" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_remark">Remark</label>
          <select
            class="form-control"
            id="field_remark"
            data-cy="remark"
            name="remark"
            formControlName="remark"
            [compareWith]="compareRemark"
          >
            <option [ngValue]="null"></option>
            @for (remarkOption of remarksSharedCollection; track $index) {
              <option [ngValue]="remarkOption">{{ remarkOption.id }}</option>
            }
          </select>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_cabang">Cabang</label>
          <select
            class="form-control"
            id="field_cabang"
            data-cy="cabang"
            name="cabang"
            formControlName="cabang"
            [compareWith]="compareCabang"
          >
            <option [ngValue]="null"></option>
            @for (cabangOption of cabangsSharedCollection; track $index) {
              <option [ngValue]="cabangOption">{{ cabangOption.id }}</option>
            }
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
